petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMPlexCreateFluent

Create a DMPlex mesh from a Fluent mesh file.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateFluent(MPI_Comm comm, PetscViewer viewer, PetscBool interpolate, DM *dm)

Collective

### Input Parameters

| comm | - The MPI communicator
| viewer | - The Viewer associated with a Fluent mesh file
| interpolate | - Create faces and edges in the mesh

### Output Parameter

dm -The DM object representing the mesh

Note: http://aerojet.engr.ucdavis.edu/fluenthelp/html/ug/node1490.htm

### See Also

DMPLEX, DMCreate()

### Level

beginner

### Location

src/dm/impls/plex/plexfluent.c

### Implementations

DMPlexCreateFluent_ReadString in src/dm/impls/plex/plexfluent.c
DMPlexCreateFluent_ReadValues in src/dm/impls/plex/plexfluent.c
DMPlexCreateFluent_ReadSection in src/dm/impls/plex/plexfluent.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages